Subject: TSVWG Status at 5th November 2011

From: Gorry Fairhurst <[email-masked]>
Date: Sat, 05 Nov 2011 02:22:51 +0000

Here is a brief summary of the status of TSVWG drafts as we see it. If 
there are any changes/updates to this list please do let us know.

Gorry & James
TSVWG Chairs

===================================================================

TSVWG Status Nov 2011

---

Recently published I-Ds:

draft-ietf-tsvwg-iana-ports was published as RFC 6335.	
draft-ietf-tsvwg-emergency-rsvp-15 was published as RFC 6401
draft-ietf-tsvwg-rsvp-security-groupkeying was published as RFC 6411.

IDs in RFC Editor Queue:

draft-ietf-tsvwg-sctpsocket
    James is Shepherd.
    RFC-ED.

-------------------------------------------------------------------

IDs in IESG processing:

draft-ietf-tsvwg-sctp-strrst
      Dependency on this for IPFIX document with RFC-Ed.
      Benoit Claise to review for IPFIX
      New revision (-08) 25 Oct 2010.
          Text on race-condition to be updated before WGLC.
      New text to address this in revision 04/01/2011.
      draft-stewart-tsvwg-reconfuse-sctp to assist in consensus
      IETF-80: need to discus whether one in-band mechanism is viable.
      IETF-81: discussed this and concluded no changes needed.
      WGLC completed.
    James is Shepherd.
    DUE: AD Feedback

-------------------------------------------------------------------

WG Drafts with Chairs:
     None.

-------------------------------------------------------------------
WG Drafts:

draft-ietf-tsvwg-source-quench
       (Replaced: draft-gont-tsvwg-source-quench-01.txt)
       IETF-79 suggested there was interest in this topic.
       Comments to list in 2010 from: Fred Baker, Antonio DeSimone,
          James Polk, Gorry Fairhurst, Andrew Yourtchenko, and others.
       WG agreed the draft should be a work item.
         More motivation needed to justify the SHOULD cases.
	  New revision to clarify keywords.
	  WGLC started October 18, 2011.
	  WGLC has completed.
	  - Outcome to be confirmed with list:
	  - Update section 6 to say UDP receiver MUST ignore SQ ?
	  - Update section 3 a host SHOULD NOT send ICMP ?
    Gorry is Shepherd.
    DUE: New revision expected (following WGLC)

draft-ietf-tsvwg-byte-pkt-congest
      New editor added Jul 2010.
      New revision 25 Oct 2010.
      WG -01, June 10, 2011
     Previous: Update needed before deciding if ready for WGLC.
     Review sent by Gorry Fairhurst.
      IETF-81: discussed whether this should be BCP.
      Intended status changed to BCP.
	 WG -05, 2011-10-31
    Gorry is Shepherd.
    DUE: Reviewers need to volunteer for LC
    DUE: Please comment on list.
    - Please check suitability for publication.

draft-ietf-tsvwg-natsupp-tsvwg
      (Replaced: draft-stewart-natsupp-tsvw)
      Dependency from BEHAVE WG.
      Adopted as a work item 21 Sept 2010 (Gorry), intended as PS.
         WG -00, 29/11/2010
         WG -01, June 1, 2011
       DUE: Reviews need.

draft-ietf-tsvwg-sctp-udp-encap
      (Replaced: draft-tuexen-sctp-udp-encap)
      Lars sent a note as AD agreeing to progress this work.
	 Work to be coordinated with DCCP work on encaps.
      draft-tuexen-sctp-udp-encaps-06, January 10, 2011
      Adopted as a work item (Gorry).
	 Intended to publish April 2012, as a PS
          WG -00, 2011-07-25
	 WG -01, 2011-10-29
	 - Document suggested complete by authors.
      DUE: Please comment on list.

draft-ietf-tsvwg-intserv-multiple-tspec
       WG interest in this topic recorded at IETF-78.
      Charter update would be needed to progress this work.
      5 Reviews needed to determine energy/technical direction.
      Version -05 (presented in Beijing, IETF-79)
      Version -06 (presented in Prague, IETF-80)
      RSVP directorate was consulted.
         2 reviews from RSVP-DIR received (Bruce Davie, ?).
         2 additional reviews promised (Ken Carlberg, Francois LeF).
         Chairs asked AD for a Charter update (IESG agreed).
      Draft discussed at IETF-80, and request to update charter agreed.
      - AD advised 4 named reviewers will be required.
      Adopted for progression as PS, for May 2012.

draft-ietf-tsvwg-rsvp-pcn
	  (Replaced: draft-karagiannis-pcn-tsvwg-rsvp-pcn)
	   WG interest in this topic recorded at IETF-81.
        -01, 2011-07-11
	   Adopted by TSVWG and added to Charter as PS Sept 2011.
	   WG-00, 2011-10-08
      DUE: Please comment on list.

-------------------------------------------------------------------

WG action required:

draft-touch-tsvwg-port-use-00
       - Intended to be advice to protocol designers needing a port.
         5 people have looked at this document, Prague IETF-80
      -01 July 2011
      IETF-81 insufficient feedback from WG at this time.
       WG needs to assess if the new draft should be a work item.
     DUE: Chairs need to assess energy for work on this topic.
     DUE: Please comment on list.
	
draft-tuexen-tsvwg-sctp-sack-immediately
        -05, 2011-01-02
        - Aug 2011, discussed on list and issues raised.
	   -08, 2011-10-29
	   - Use cases discussed on list.
     DUE: Chairs need to discuss adoption (Chairs need to do work).

draft-nishida-tsvwg-sctp-failover
       -00 Presented in Prague, IETF-80.
       - understood not to conflict with draft-tuexen-tsvwg-sctp-multipath
     DUE: New revision need.
     DUE: Chairs to start adoption call on list (Chairs need to do work).

draft-tuexen-tsvwg-sctp-multipath
       -00 Presented in Prague, IETF-80.
       - understood not to conflict with draft-nishida-tsvwg-sctp-failover
       -01, 2010-12-27
       Adoption call discussed by WG.
     DUE: Please comment to list.

-------------------------------------------------------------------

The following have received recent discussion at TSVWG meetings or on
the list. Inclusion in the list below does not indicate support for
these specific drafts and other contributions are also warmly welcomed.

   draft-stewart-tsvwg-sctpecn-00
       Partially replaces (draft-stewart-tsvwg-sctp-nonce)
       IETF-78 suggested there was interest in this topic.
       Please comment to list.
       Revised uploaded with new name.
         - The draft needs to be updated for multihoming (IETF-80)
         - new revision expected April 2011 (IETF-80)
       DUE: WG needs to assess if the new draft should be a work item.

  draft-briscoe-tsvwg-ecn-encap-guidelines
       -00 Presented in Prague, IETF-80.
       - comments at IETF-80 (see minutes)
       WG needs to assess if the new draft should be a work item.
       Please comment on list.
      DUE: Chairs to check liaison status with other SDOs.

-------------------------------------------------------------------

    draft-polk-tsvwg-rsvp-app-id-vv-profiles
       -01 Presented in Beijing, IETF-79.
       -02, 14-Mar-2011
       Presented IET-80.
       WG needs to assess if the new draft should be a work item.
       Seek to coordinate with mmusic.
       (partner ID draft-ietf-mmusic-traffic-class-for-sdp)
       Please comment on list.
       DUE: Chairs to liaise with MMUSIC WG (Gorry).

   draft-lefaucheur-tsvwg-rsvp-multiple-preemption
       RSVP directorate to be consulted.
	  - Reviewers: Bruce Davie (awaiting other reviews)
       DUE: Please comment to list.

   draft-wing-tsvwg-happy-eyeballs-sctp
       - Appears dead.

-------------------------------------------------------------------

Related non-WG items:

draft-ietf-behave-sctpnat-03.txt
       BEHAVE WG item linked to SCTP encapsulation work.

draft-ietf-6man-udpzero
       was: draft-fairhurst-tsvwg-6man-udpzero
       Draft was adopted by 6man, please discuss on the 6man list.
       A WGLC of this draft is expected in 6MAN WG.
         related draft: draft-ietf-6man-udpchecksums-00
       Waiting for related update to IPv6 base spec.
       This draft will be LC'ed in TSVWG also.

------------------------------------------------------------------

Other news:

   RSVP Directorate (formed in May 2010)
   Charter updated Sept 2011.

------------------------------------------------------------------